const vars = {
  SQLITE_ACCESS_EXISTS: 0,
  SQLITE_ACCESS_READWRITE: 1,
  SQLITE_ACCESS_READ: 2,
  SQLITE_STATIC: 0,
  SQLITE_TRANSIENT: -1,
  SQLITE_INTEGER: 1,
  SQLITE_FLOAT: 2,
  SQLITE_TEXT: 3,
  SQLITE_BLOB: 4,
  SQLITE_NULL: 5,
  SQLITE_UTF8: 1,
  SQLITE_UTF16LE: 2,
  SQLITE_UTF16BE: 3,
  SQLITE_UTF16: 4,
  SQLITE_UTF16_ALIGNED: 8,
  SQLITE_FCNTL_LOCKSTATE: 1,
  SQLITE_FCNTL_GET_LOCKPROXYFILE: 2,
  SQLITE_FCNTL_SET_LOCKPROXYFILE: 3,
  SQLITE_FCNTL_LAST_ERRNO: 4,
  SQLITE_FCNTL_SIZE_HINT: 5,
  SQLITE_FCNTL_CHUNK_SIZE: 6,
  SQLITE_FCNTL_FILE_POINTER: 7,
  SQLITE_FCNTL_SYNC_OMITTED: 8,
  SQLITE_FCNTL_WIN32_AV_RETRY: 9,
  SQLITE_FCNTL_PERSIST_WAL: 10,
  SQLITE_FCNTL_OVERWRITE: 11,
  SQLITE_FCNTL_VFSNAME: 12,
  SQLITE_FCNTL_POWERSAFE_OVERWRITE: 13,
  SQLITE_FCNTL_PRAGMA: 14,
  SQLITE_FCNTL_BUSYHANDLER: 15,
  SQLITE_FCNTL_TEMPFILENAME: 16,
  SQLITE_FCNTL_MMAP_SIZE: 18,
  SQLITE_FCNTL_TRACE: 19,
  SQLITE_FCNTL_HAS_MOVED: 20,
  SQLITE_FCNTL_SYNC: 21,
  SQLITE_FCNTL_COMMIT_PHASETWO: 22,
  SQLITE_FCNTL_WIN32_SET_HANDLE: 23,
  SQLITE_FCNTL_WAL_BLOCK: 24,
  SQLITE_FCNTL_ZIPVFS: 25,
  SQLITE_FCNTL_RBU: 26,
  SQLITE_FCNTL_VFS_POINTER: 27,
  SQLITE_FCNTL_JOURNAL_POINTER: 28,
  SQLITE_FCNTL_WIN32_GET_HANDLE: 29,
  SQLITE_FCNTL_PDB: 30,
  SQLITE_FCNTL_BEGIN_ATOMIC_WRITE: 31,
  SQLITE_FCNTL_COMMIT_ATOMIC_WRITE: 32,
  SQLITE_FCNTL_ROLLBACK_ATOMIC_WRITE: 33,
  SQLITE_FCNTL_LOCK_TIMEOUT: 34,
  SQLITE_FCNTL_DATA_VERSION: 35,
  SQLITE_FCNTL_SIZE_LIMIT: 36,
  SQLITE_FCNTL_CKPT_DONE: 37,
  SQLITE_FCNTL_RESERVE_BYTES: 38,
  SQLITE_FCNTL_CKPT_START: 39,
  SQLITE_FCNTL_EXTERNAL_READER: 40,
  SQLITE_FCNTL_CKSM_FILE: 41,
  SQLITE_LOCK_NONE: 0,
  SQLITE_LOCK_SHARED: 1,
  SQLITE_LOCK_RESERVED: 2,
  SQLITE_LOCK_PENDING: 3,
  SQLITE_LOCK_EXCLUSIVE: 4,
  SQLITE_IOCAP_ATOMIC: 1,
  SQLITE_IOCAP_ATOMIC512: 2,
  SQLITE_IOCAP_ATOMIC1K: 4,
  SQLITE_IOCAP_ATOMIC2K: 8,
  SQLITE_IOCAP_ATOMIC4K: 16,
  SQLITE_IOCAP_ATOMIC8K: 32,
  SQLITE_IOCAP_ATOMIC16K: 64,
  SQLITE_IOCAP_ATOMIC32K: 128,
  SQLITE_IOCAP_ATOMIC64K: 256,
  SQLITE_IOCAP_SAFE_APPEND: 512,
  SQLITE_IOCAP_SEQUENTIAL: 1024,
  SQLITE_IOCAP_UNDELETABLE_WHEN_OPEN: 2048,
  SQLITE_IOCAP_POWERSAFE_OVERWRITE: 4096,
  SQLITE_IOCAP_IMMUTABLE: 8192,
  SQLITE_IOCAP_BATCH_ATOMIC: 16384,
  SQLITE_OPEN_READONLY: 1,
  SQLITE_OPEN_READWRITE: 2,
  SQLITE_OPEN_CREATE: 4,
  SQLITE_OPEN_URI: 64,
  SQLITE_OPEN_MEMORY: 128,
  SQLITE_OPEN_NOMUTEX: 32768,
  SQLITE_OPEN_FULLMUTEX: 65536,
  SQLITE_OPEN_SHAREDCACHE: 131072,
  SQLITE_OPEN_PRIVATECACHE: 262144,
  SQLITE_OPEN_EXRESCODE: 33554432,
  SQLITE_OPEN_NOFOLLOW: 16777216,
  SQLITE_OPEN_MAIN_DB: 256,
  SQLITE_OPEN_MAIN_JOURNAL: 2048,
  SQLITE_OPEN_TEMP_DB: 512,
  SQLITE_OPEN_TEMP_JOURNAL: 4096,
  SQLITE_OPEN_TRANSIENT_DB: 1024,
  SQLITE_OPEN_SUBJOURNAL: 8192,
  SQLITE_OPEN_SUPER_JOURNAL: 16384,
  SQLITE_OPEN_WAL: 524288,
  SQLITE_OPEN_DELETEONCLOSE: 8,
  SQLITE_OPEN_EXCLUSIVE: 16,
  SQLITE_PREPARE_PERSISTENT: 1,
  SQLITE_PREPARE_NORMALIZE: 2,
  SQLITE_PREPARE_NO_VTAB: 4,
  SQLITE_OK: 0,
  SQLITE_ERROR: 1,
  SQLITE_INTERNAL: 2,
  SQLITE_PERM: 3,
  SQLITE_ABORT: 4,
  SQLITE_BUSY: 5,
  SQLITE_LOCKED: 6,
  SQLITE_NOMEM: 7,
  SQLITE_READONLY: 8,
  SQLITE_INTERRUPT: 9,
  SQLITE_IOERR: 10,
  SQLITE_CORRUPT: 11,
  SQLITE_NOTFOUND: 12,
  SQLITE_FULL: 13,
  SQLITE_CANTOPEN: 14,
  SQLITE_PROTOCOL: 15,
  SQLITE_EMPTY: 16,
  SQLITE_SCHEMA: 17,
  SQLITE_TOOBIG: 18,
  SQLITE_CONSTRAINT: 19,
  SQLITE_MISMATCH: 20,
  SQLITE_MISUSE: 21,
  SQLITE_NOLFS: 22,
  SQLITE_AUTH: 23,
  SQLITE_FORMAT: 24,
  SQLITE_RANGE: 25,
  SQLITE_NOTADB: 26,
  SQLITE_NOTICE: 27,
  SQLITE_WARNING: 28,
  SQLITE_ROW: 100,
  SQLITE_DONE: 101,
  SQLITE_ERROR_MISSING_COLLSEQ: 257,
  SQLITE_ERROR_RETRY: 513,
  SQLITE_ERROR_SNAPSHOT: 769,
  SQLITE_IOERR_READ: 266,
  SQLITE_IOERR_SHORT_READ: 522,
  SQLITE_IOERR_WRITE: 778,
  SQLITE_IOERR_FSYNC: 1034,
  SQLITE_IOERR_DIR_FSYNC: 1290,
  SQLITE_IOERR_TRUNCATE: 1546,
  SQLITE_IOERR_FSTAT: 1802,
  SQLITE_IOERR_UNLOCK: 2058,
  SQLITE_IOERR_RDLOCK: 2314,
  SQLITE_IOERR_DELETE: 2570,
  SQLITE_IOERR_BLOCKED: 2826,
  SQLITE_IOERR_NOMEM: 3082,
  SQLITE_IOERR_ACCESS: 3338,
  SQLITE_IOERR_CHECKRESERVEDLOCK: 3594,
  SQLITE_IOERR_LOCK: 3850,
  SQLITE_IOERR_CLOSE: 4106,
  SQLITE_IOERR_DIR_CLOSE: 4362,
  SQLITE_IOERR_SHMOPEN: 4618,
  SQLITE_IOERR_SHMSIZE: 4874,
  SQLITE_IOERR_SHMLOCK: 5130,
  SQLITE_IOERR_SHMMAP: 5386,
  SQLITE_IOERR_SEEK: 5642,
  SQLITE_IOERR_DELETE_NOENT: 5898,
  SQLITE_IOERR_MMAP: 6154,
  SQLITE_IOERR_GETTEMPPATH: 6410,
  SQLITE_IOERR_CONVPATH: 6666,
  SQLITE_IOERR_VNODE: 6922,
  SQLITE_IOERR_AUTH: 7178,
  SQLITE_IOERR_BEGIN_ATOMIC: 7434,
  SQLITE_IOERR_COMMIT_ATOMIC: 7690,
  SQLITE_IOERR_ROLLBACK_ATOMIC: 7946,
  SQLITE_IOERR_DATA: 8202,
  SQLITE_IOERR_CORRUPTFS: 8458,
  SQLITE_LOCKED_SHAREDCACHE: 262,
  SQLITE_LOCKED_VTAB: 518,
  SQLITE_BUSY_RECOVERY: 261,
  SQLITE_BUSY_SNAPSHOT: 517,
  SQLITE_BUSY_TIMEOUT: 773,
  SQLITE_CANTOPEN_NOTEMPDIR: 270,
  SQLITE_CANTOPEN_ISDIR: 526,
  SQLITE_CANTOPEN_FULLPATH: 782,
  SQLITE_CANTOPEN_CONVPATH: 1038,
  SQLITE_CANTOPEN_SYMLINK: 1550,
  SQLITE_CORRUPT_VTAB: 267,
  SQLITE_CORRUPT_SEQUENCE: 523,
  SQLITE_CORRUPT_INDEX: 779,
  SQLITE_READONLY_RECOVERY: 264,
  SQLITE_READONLY_CANTLOCK: 520,
  SQLITE_READONLY_ROLLBACK: 776,
  SQLITE_READONLY_DBMOVED: 1032,
  SQLITE_READONLY_CANTINIT: 1288,
  SQLITE_READONLY_DIRECTORY: 1544,
  SQLITE_ABORT_ROLLBACK: 516,
  SQLITE_CONSTRAINT_CHECK: 275,
  SQLITE_CONSTRAINT_COMMITHOOK: 531,
  SQLITE_CONSTRAINT_FOREIGNKEY: 787,
  SQLITE_CONSTRAINT_FUNCTION: 1043,
  SQLITE_CONSTRAINT_NOTNULL: 1299,
  SQLITE_CONSTRAINT_PRIMARYKEY: 1555,
  SQLITE_CONSTRAINT_TRIGGER: 1811,
  SQLITE_CONSTRAINT_UNIQUE: 2067,
  SQLITE_CONSTRAINT_VTAB: 2323,
  SQLITE_CONSTRAINT_ROWID: 2579,
  SQLITE_CONSTRAINT_PINNED: 2835,
  SQLITE_CONSTRAINT_DATATYPE: 3091,
  SQLITE_NOTICE_RECOVER_WAL: 283,
  SQLITE_NOTICE_RECOVER_ROLLBACK: 539,
  SQLITE_WARNING_AUTOINDEX: 284,
  SQLITE_AUTH_USER: 279,
  SQLITE_OK_LOAD_PERMANENTLY: 256,
  SQLITE_SERIALIZE_NOCOPY: 1,
  SQLITE_DESERIALIZE_FREEONCLOSE: 1,
  SQLITE_DESERIALIZE_READONLY: 4,
  SQLITE_DESERIALIZE_RESIZEABLE: 2,
  SQLITE_SYNC_NORMAL: 2,
  SQLITE_SYNC_FULL: 3,
  SQLITE_SYNC_DATAONLY: 16,
  SQLITE_TRACE_STMT: 1,
  SQLITE_TRACE_PROFILE: 2,
  SQLITE_TRACE_ROW: 4,
  SQLITE_TRACE_CLOSE: 8,
  SQLITE_DETERMINISTIC: 2048,
  SQLITE_DIRECTONLY: 524288,
  SQLITE_INNOCUOUS: 2097152,
  SQLITE_VERSION_NUMBER: 3040000,
  SQLITE_VERSION: '3.40.0',
  SQLITE_SOURCE_ID: '2022-11-02 14:08:59 70ee6ee014bc4e2c1daa9b4a8909cf76ccecf32de1eb39055f20d3d0b1daalt1'
}

function injectConstants(injected) {
    for (const varKey in vars) {
        injected[varKey] = vars[varKey]
        injected[varKey.slice(7)] = vars[varKey]
    }

}
module.exports = injectConstants

